### Method

# Aravis Buffer find_component

since: 0.8.25

#### Declaration [src]

    gint
    arv_buffer_find_component (
      ArvBuffer* buffer,
      guint component_id
    )

#### Description [src]

Search for the part corresponding to `component_id`.

Available since: 0.8.25

#### Parameters

`component_id`

  Type: `guint`

  The component id to find.

#### Return value

Type: `gint`

The corresponding part id, -1 if not found.